#if !defined(AFX_WORLDCONFIGURATION_H__27FD2CF3_C825_11D1_A205_0000B4595568__INCLUDED_)
#define AFX_WORLDCONFIGURATION_H__27FD2CF3_C825_11D1_A205_0000B4595568__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// WorldConfiguration.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWorldConfiguration dialog

class CWorldConfiguration : public CDialog
{
// Construction
public:

  CMUSHclientDoc * m_doc;   // so we can access the underlying document
  
  CWorldConfiguration(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CWorldConfiguration)
	enum { IDD = IDD_CONFIGURATION };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWorldConfiguration)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CWorldConfiguration)
	afx_msg void OnConfigName();
	afx_msg void OnConfigAppearance();
	afx_msg void OnConfigInput();
	afx_msg void OnConfigTriggers();
	afx_msg void OnConfigPaste();
	afx_msg void OnConfigScripting();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WORLDCONFIGURATION_H__27FD2CF3_C825_11D1_A205_0000B4595568__INCLUDED_)
